Orgs Contacts
Update a Contact
Update a specific contact by its ID.
PATCH
/
orgs
/
{org_id}
/
contacts
/
{contact_id}
Update a Contact
curl --request PATCH \
--url https://api.useinvent.com/orgs/{org_id}/contacts/{contact_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"blocked": true,
"unsubscribed": true,
"ai_replies": true
}
'import requests
url = "https://api.useinvent.com/orgs/{org_id}/contacts/{contact_id}"
payload = {
"name": "<string>",
"blocked": True,
"unsubscribed": True,
"ai_replies": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', blocked: true, unsubscribed: true, ai_replies: true})
};
fetch('https://api.useinvent.com/orgs/{org_id}/contacts/{contact_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"blocked": true,
"unsubscribed": true,
"ai_replies": true,
"is_admin": true,
"channels": [
{
"id": "<string>",
"user_id": "<string>",
"avatar": "<string>",
"name": "<string>",
"username": "<string>",
"email": "<string>",
"phone": "<string>",
"country": "<string>",
"agent": "<string>",
"ip": "<string>",
"language": "<string>",
"platform_data": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"link": "<string>"
}
],
"segments": [
{
"id": "<string>",
"name": "<string>",
"contacts_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"properties": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"blocked_at": "2023-11-07T05:31:56Z",
"unsubscribed_at": "2023-11-07T05:31:56Z",
"unsubscribe_reason": "<string>",
"unsubscribe_feedback": "<string>",
"ai_replies_at": "2023-11-07T05:31:56Z"
}Authorizations
Bearer token authentication using your API key
Body
application/jsonmultipart/form-data
Response
200 - application/json
Schema for the contact
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Update a Contact
